[Pkg-gnupg-commit] [gnupg2] 05/07: borrow regression tests as well

Daniel Kahn Gillmor dkg at fifthhorseman.net
Wed Mar 30 06:05:49 UTC 2016


This is an automated email from the git hooks/post-receive script.

dkg pushed a commit to branch experimental
in repository gnupg2.

commit aba340105042281ab8b87fc2eb04239a811522fe
Author: Daniel Kahn Gillmor <dkg at fifthhorseman.net>
Date:   Wed Mar 30 00:53:41 2016 -0400

    borrow regression tests as well
---
 debian/tests/control    |  2 ++
 debian/tests/gpgv-win32 | 28 ++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..cea1cf6
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: gpgv-win32
+Depends: gpgv-win32, wine, wine32, gpg
diff --git a/debian/tests/gpgv-win32 b/debian/tests/gpgv-win32
new file mode 100644
index 0000000..d00ece1
--- /dev/null
+++ b/debian/tests/gpgv-win32
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+export GNUPGHOME=$(mktemp -d)
+
+# Generate a minimal signing key:
+gpg --batch --quick-random --gen-key <<EOF
+     %echo Generating a basic OpenPGP key
+     Key-Type: RSA
+     Key-Length: 1024
+     Key-Usage: sign
+     Name-Real: Test key for gpgv-win32
+     Name-Email: test-key at example.com
+     Expire-Date: 2d
+     %commit
+     %echo done
+EOF
+
+# Sign this very script
+rm -f "${0}.gpg"
+gpg --output "${0}.gpg" --detach-sign "${0}"
+
+# Verify using gpgv
+gpgv --keyring "$GNUPGHOME/pubring.gpg" "${0}.gpg" "${0}"
+
+# Verify using gpgv.exe
+wine /usr/share/win32/gpgv.exe --keyring "Z:\\\\${GNUPGHOME}/pubring.gpg" "Z:\\\\$(pwd)/${0}.gpg" "Z:\\\\$(pwd)/${0}"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-gnupg/gnupg2.git



More information about the Pkg-gnupg-commit mailing list